# generated by datamodel-codegen:
#   filename:  collection.json
#   timestamp: 2025-01-27T15:24:04+00:00

from __future__ import annotations

from typing import Optional

from pydantic import AnyUrl, BaseModel, Field


class Model(BaseModel):
    name: Optional[str] = Field(
        ...,
        description='A filename or database conform dataset name.',
        examples=['oep_oemetadata'],
        title='Dataset Name',
    )
    title: Optional[str] = Field(
        None,
        description='A human readable dataset name.',
        examples=['OEP OEMetadata'],
        title='Dataset Title',
    )
    description: Optional[str] = Field(
        None,
        description='A free text description of the dataset.',
        examples=['A dataset for the OEMetadata examples.'],
        title='Dataset Description',
    )
    id: Optional[AnyUrl] = Field(
        None,
        description='A unique identifier (UUID/DOI) for the dataset.',
        examples=['https://databus.openenergyplatform.org/oeplatform/reference'],
        title='Dataset Identifier',
    )
